public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/cmatrix/
Date: Tue, 31 May 2016 07:37:34 +0000 (UTC)	[thread overview]
Message-ID: <1464678387.18a2e5473cfc844be6ae5a3a3a24dda5d0f4fd27.monsieurp@gentoo> (raw)

commit:     18a2e5473cfc844be6ae5a3a3a24dda5d0f4fd27
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue May 31 07:01:43 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue May 31 07:06:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18a2e547

app-misc/cmatrix: EAPI 6 bump.

Package-Manager: portage-2.2.28

 app-misc/cmatrix/cmatrix-1.2a-r2.ebuild | 46 +++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/app-misc/cmatrix/cmatrix-1.2a-r2.ebuild b/app-misc/cmatrix/cmatrix-1.2a-r2.ebuild
new file mode 100644
index 0000000..057b62e
--- /dev/null
+++ b/app-misc/cmatrix/cmatrix-1.2a-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=6
+
+inherit autotools eutils
+
+DESCRIPTION="An ncurses based app to show a scrolling screen from the Matrix"
+HOMEPAGE="http://www.asty.org/cmatrix"
+SRC_URI="http://www.asty.org/${PN}/dist/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="X"
+
+DEPEND="
+	X? ( x11-apps/mkfontdir )
+	sys-libs/ncurses:0="
+
+RDEPEND="${DEPEND}"
+
+CPATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_prepare() {
+	default
+	use X && CPATCHES+=( "${FILESDIR}"/${P}-fontdir.patch )
+	epatch "${CPATCHES[@]}"
+	eautoreconf
+}
+
+src_install() {
+	dodir /usr/share/consolefonts
+	dodir /usr/lib/kbd/consolefonts
+	use X && dodir /usr/share/fonts/misc
+	emake DESTDIR="${D}" install
+}
+
+pkg_postinst() {
+	if use X; then
+		if [[ -d "${ROOT}"usr/share/fonts/misc ]] ; then
+			einfo ">>> Running mkfontdir on ${ROOT}usr/share/fonts/misc"
+			mkfontdir "${ROOT}"usr/share/fonts/misc || die 'mkfontdir failed'
+		fi
+	fi
+}


             reply	other threads:[~2016-05-31  7:37 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-31  7:37 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-06-30 14:40 [gentoo-commits] repo/gentoo:master commit in: app-misc/cmatrix/ Patrice Clement
2016-10-20 14:55 Jeroen Roovers
2016-10-20 14:55 Jeroen Roovers
2016-10-22  8:08 Tobias Klausmann
2016-12-21  9:57 Tobias Klausmann
2017-01-04 17:09 Agostino Sarubbo
2017-01-17 22:52 Patrice Clement
2017-01-17 22:52 Patrice Clement
2018-05-27 16:11 Aaron Bauman
2018-09-20 22:10 Sebastian Pipping
2020-04-24 13:44 Jeroen Roovers
2020-04-24 23:35 Thomas Deutschmann
2020-07-04 12:58 Jeroen Roovers
2020-11-03 22:05 Georgy Yakovlev
2021-03-23 21:43 Georgy Yakovlev
2021-03-25 18:12 Agostino Sarubbo
2021-03-26  0:04 Sam James
2021-03-26  7:45 Agostino Sarubbo
2021-03-26 11:34 Sam James
2021-06-05  7:34 Georgy Yakovlev
2024-04-05 15:27 Arthur Zamarin
2024-05-30 19:17 Florian Schmaus
2024-05-30 19:17 Florian Schmaus
2024-08-30 14:23 Arthur Zamarin
2024-08-30 14:31 Arthur Zamarin
2024-08-30 14:42 Arthur Zamarin
2024-08-30 14:42 Arthur Zamarin
2024-08-30 17:39 Arthur Zamarin
2024-08-30 17:40 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1464678387.18a2e5473cfc844be6ae5a3a3a24dda5d0f4fd27.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox